var pText : String = "Trigger text here";

function OnCollisionEnter(col : Collision){
	if(col.gameObject.CompareTag("Player")){
		if(GameObject.FindWithTag("DisplayText")){
			GameObject.FindWithTag("DisplayText").SendMessage("DisplayMessage", pText);
		}
	}
}

function OnTriggerEnter(col : Collider){
	if(col.gameObject.CompareTag("Player")){
		if(GameObject.FindWithTag("DisplayText")){
			GameObject.FindWithTag("DisplayText").SendMessage("DisplayMessage", pText);
		}
	}
}